<?xml version="1.0" encoding="UTF-8"?>

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.gic</groupId>
        <artifactId>gic-pom-base</artifactId>
        <version>3.0-SNAPSHOT</version>
        <relativePath/>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>haoban-manage3-service</artifactId>
    <version>${libraryVersion}</version>

    <name>haoban-manage3-service</name>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <libraryVersion>3.0-SNAPSHOT</libraryVersion>
    </properties>
    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-framework-bom</artifactId>
                <version>4.2.4.RELEASE</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>fastjson</artifactId>
                <version>1.2.47</version>
            </dependency>
        </dependencies>
    </dependencyManagement>
    <dependencies>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>4.11</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>haoban-common</artifactId>
            <version>${haoban-common}</version>
            <exclusions>
                <exclusion>
                    <artifactId>log4j</artifactId>
                    <groupId>log4j</groupId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>haoban-config</artifactId>
            <version>${haoban-config}</version>
        </dependency>

        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>log-record-sdk</artifactId>
            <version>${log-record-sdk}</version>
        </dependency>
        <dependency>
            <groupId>com.vdurmont</groupId>
            <artifactId>emoji-java</artifactId>
            <version>5.1.1</version>
        </dependency>
        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>gic-quartz-api</artifactId>
            <version>${gic-quartz-api}</version>
        </dependency>
        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>haoban-manage3-api</artifactId>
            <version>${haoban-manage3-api}</version>
        </dependency>
        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>haoban-task-api</artifactId>
            <version>${haoban-task-api}</version>
        </dependency>

        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>haoban-task-manage-api</artifactId>
            <version>${haoban-task-manage-api}</version>
        </dependency>

        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>gic-enterprise-api</artifactId>
            <version>${gic-enterprise-api}</version>
            <exclusions>
                <exclusion>
                    <artifactId>log4j</artifactId>
                    <groupId>log4j</groupId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>gic-wechat-api</artifactId>
            <version>${gic-wechat-api}</version>
        </dependency>

        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>gic-clerk-api</artifactId>
            <version>${gic-clerk-api}</version>
        </dependency>

        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>gic-search-engine-api</artifactId>
            <version>${gic-search-engine-api}</version>
        </dependency>

        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>gic-member-api</artifactId>
            <version>${gic-member-api}</version>
            <scope>compile</scope>
        </dependency>

        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>gic-thirdparty-api</artifactId>
            <version>${gic-thirdparty-api}</version>
        </dependency>

        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>gic-marketing-api</artifactId>
            <version>${gic-marketing-api}</version>
        </dependency>

        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>haoban-app-customer-api</artifactId>
            <version>${haoban-app-customer-api}</version>
        </dependency>

        <dependency>
            <groupId>org.springframework.kafka</groupId>
            <artifactId>spring-kafka</artifactId>
            <version>2.1.4.RELEASE</version>
        </dependency>
        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>gic-binlog-base</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
            <version>5.6.2</version>
        </dependency>

        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>gic-member-tag-api</artifactId>
            <version>${gic-member-tag-api}</version>
            <scope>compile</scope>
        </dependency>
        
       <dependency>
            <groupId>com.gic</groupId>
            <artifactId>gic-enterprise-operation-api</artifactId>
            <version>${gic-enterprise-operation-api}</version>
        </dependency>
        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>gic-thirdparty-sdk</artifactId>
            <version>${gic-thirdparty-sdk}</version>
            <scope>compile</scope>
        </dependency>

        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>gic-store-goods-api</artifactId>
            <version>${gic-store-goods-api}</version>
        </dependency>

        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>gic-business-order-api</artifactId>
            <version>${gic-business-order-api}</version>
        </dependency>
        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>gic-order-ecommerce-api</artifactId>
            <version>${gic-order-ecommerce-api}</version>
        </dependency>
        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>gic-order-api</artifactId>
            <version>${gic-order-api}</version>
        </dependency>

        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>gic-message-center-api</artifactId>
            <version>${gic-message-center-api}</version>
        </dependency>
        <dependency>
            <groupId>com.gic.operating</groupId>
            <artifactId>gic-operating-api</artifactId>
            <version>${gic-operating-api}</version>
        </dependency>
        <!-- 数仓 -->
        <dependency>
            <groupId>com.alibaba.hologres</groupId>
            <artifactId>holo-client</artifactId>
            <version>2.2.10</version>
        </dependency>
        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>gic-content-api</artifactId>
            <version>${gic-content-api}</version>
        </dependency>
        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>gic-member-ext-api</artifactId>
            <version>${gic-member-ext-api}</version>
        </dependency>

        <dependency>
            <groupId>net.coobird</groupId>
            <artifactId>thumbnailator</artifactId>
            <version>0.4.8</version>
        </dependency>

        <dependency>
            <groupId>com.github.ben-manes.caffeine</groupId>
            <artifactId>caffeine</artifactId>
            <version>2.6.2</version>
        </dependency>

        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>task-allocation-sdk</artifactId>
            <version>${task-allocation-sdk}</version>
        </dependency>
    </dependencies>

    <build>
        <finalName>haoban-manage3-service</finalName>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <encoding>UTF-8</encoding>
                    <source>1.8</source>
                    <target>1.8</target>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jar-plugin</artifactId>
                <configuration>
                    <classesDirectory>target/classes/</classesDirectory>
                    <archive>
                        <manifest>
                            <mainClass>com.alibaba.dubbo.container.Main</mainClass>
                            <!-- 打包时 MANIFEST.MF文件不记录的时间戳版本 -->
                            <useUniqueVersions>false</useUniqueVersions>
                            <addClasspath>true</addClasspath>
                            <classpathPrefix>lib/</classpathPrefix>
                        </manifest>
                        <manifestEntries>
                            <Class-Path>.</Class-Path>
                        </manifestEntries>
                    </archive>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-dependency-plugin</artifactId>
                <executions>
                    <execution>
                        <id>copy-dependencies</id>
                        <phase>package</phase>
                        <goals>
                            <goal>copy-dependencies</goal>
                        </goals>
                        <configuration>
                            <type>jar</type>
                            <includeTypes>jar</includeTypes>
                            <outputDirectory>
                                ${project.build.directory}/lib
                            </outputDirectory>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>

    </build>
</project>
